module Ansi where

import Char

ansi_color = True

do_ansi str = if ansi_color then (chr 27) : str else ""

normal    = do_ansi "[0m"
bold      = do_ansi "[1m"
underline = do_ansi "[4m"
inverse   = do_ansi "[7m"

black      = do_ansi "[30m"
red        = do_ansi "[31m"
green      = do_ansi "[32m"
yellow     = do_ansi "[33m"
blue       = do_ansi "[34m"
magenta    = do_ansi "[35m"
cyan       = do_ansi "[36m"
white      = do_ansi "[37m"
fg_default = do_ansi "[39m"

bg_black   = do_ansi "[40m"
bg_red     = do_ansi "[41m"
bg_green   = do_ansi "[42m"
bg_yellow  = do_ansi "[43m"
bg_blue    = do_ansi "[44m"
bg_magenta = do_ansi "[45m"
bg_cyan    = do_ansi "[46m"
bg_white   = do_ansi "[47m"
bg_default = do_ansi "[49m"

clear_screen = do_ansi "[2J" ++ goto_topleft
clear_eol    = do_ansi "[K"
clear_eos    = do_ansi "[J"
goto_topleft = do_ansi "[0;0H" 

cursor_off = do_ansi "[?25l"
cursor_on  = do_ansi "[?25h"
