module Config where

import IO

import Robot

read_config :: Handle -> IO (Me, [Robot])
read_config handle = do
  str <- hGetLine handle
  let [rid,mw,mo] = map read (words str) :: [Int]
  let me = (rid,mw,mo)
  str <- hGetLine handle
  let xs = parse_robot_actions str
  return (me, [ (pid, ((x,y),[])) | (pid,[X x, Y y]) <- xs])
