module Package where

import IO

import Board
import Util

type PackageID = Int
type Weight = Int

type Package = (PackageID, (Square, Weight))

parse_packages :: String -> [Package]
parse_packages str = [(read p, ((read x, read y), read w))
		      | [p,x,y,w] <- divide_list 4 $ words str]
